# Ontology Language for Dependability of Automated Systems
This project contains the ressource of the Ontology Language for Dependability of Automated Systems (OLDAS), a modeling language to support automated reasoning for scenario-based dependability management. We modified the Unified Foundational Ontology to handle the specific requirements for this reasoning task. Our approach aims to prevent logical constraint violations for the scenario representation of Automated Systems (ASs) operations with a meta-language adapted to the system engineering wording. It can support various phases in the safety-oriented design for ASs from diverse domains (e.g., automotive, robotic manufacture, drones). We provide usage examples of OLDAS on system specification, hazard identification, and design of a runtime monitoring component. The paper will be available soon.
